/*******************************************************************************
* File Name: cyfitter.h
* 
* PSoC Creator  4.4
*
* Description:
* 
* This file is automatically generated by PSoC Creator.
*
********************************************************************************
* Copyright (c) 2007-2020 Cypress Semiconductor.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice_trm.h"

/* FAN */
#define FAN__0__DR CYREG_GPIO_PRT0_DR
#define FAN__0__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define FAN__0__DR_INV CYREG_GPIO_PRT0_DR_INV
#define FAN__0__DR_SET CYREG_GPIO_PRT0_DR_SET
#define FAN__0__HSIOM CYREG_HSIOM_PORT_SEL0
#define FAN__0__HSIOM_MASK 0xF0000000u
#define FAN__0__HSIOM_SHIFT 28u
#define FAN__0__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define FAN__0__INTR CYREG_GPIO_PRT0_INTR
#define FAN__0__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define FAN__0__INTSTAT CYREG_GPIO_PRT0_INTR
#define FAN__0__MASK 0x80u
#define FAN__0__PC CYREG_GPIO_PRT0_PC
#define FAN__0__PC2 CYREG_GPIO_PRT0_PC2
#define FAN__0__PORT 0u
#define FAN__0__PS CYREG_GPIO_PRT0_PS
#define FAN__0__SHIFT 7u
#define FAN__DR CYREG_GPIO_PRT0_DR
#define FAN__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define FAN__DR_INV CYREG_GPIO_PRT0_DR_INV
#define FAN__DR_SET CYREG_GPIO_PRT0_DR_SET
#define FAN__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define FAN__INTR CYREG_GPIO_PRT0_INTR
#define FAN__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define FAN__INTSTAT CYREG_GPIO_PRT0_INTR
#define FAN__MASK 0x80u
#define FAN__PC CYREG_GPIO_PRT0_PC
#define FAN__PC2 CYREG_GPIO_PRT0_PC2
#define FAN__PORT 0u
#define FAN__PS CYREG_GPIO_PRT0_PS
#define FAN__SHIFT 7u

/* LCD */
#define LCD_LCDPort__0__DR CYREG_GPIO_PRT0_DR
#define LCD_LCDPort__0__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define LCD_LCDPort__0__DR_INV CYREG_GPIO_PRT0_DR_INV
#define LCD_LCDPort__0__DR_SET CYREG_GPIO_PRT0_DR_SET
#define LCD_LCDPort__0__HSIOM CYREG_HSIOM_PORT_SEL0
#define LCD_LCDPort__0__HSIOM_MASK 0x0000000Fu
#define LCD_LCDPort__0__HSIOM_SHIFT 0u
#define LCD_LCDPort__0__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__0__INTR CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__0__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__0__INTSTAT CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_GPIO_PRT0_PC
#define LCD_LCDPort__0__PC2 CYREG_GPIO_PRT0_PC2
#define LCD_LCDPort__0__PORT 0u
#define LCD_LCDPort__0__PS CYREG_GPIO_PRT0_PS
#define LCD_LCDPort__0__SHIFT 0u
#define LCD_LCDPort__1__DR CYREG_GPIO_PRT0_DR
#define LCD_LCDPort__1__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define LCD_LCDPort__1__DR_INV CYREG_GPIO_PRT0_DR_INV
#define LCD_LCDPort__1__DR_SET CYREG_GPIO_PRT0_DR_SET
#define LCD_LCDPort__1__HSIOM CYREG_HSIOM_PORT_SEL0
#define LCD_LCDPort__1__HSIOM_MASK 0x000000F0u
#define LCD_LCDPort__1__HSIOM_SHIFT 4u
#define LCD_LCDPort__1__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__1__INTR CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__1__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__1__INTSTAT CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_GPIO_PRT0_PC
#define LCD_LCDPort__1__PC2 CYREG_GPIO_PRT0_PC2
#define LCD_LCDPort__1__PORT 0u
#define LCD_LCDPort__1__PS CYREG_GPIO_PRT0_PS
#define LCD_LCDPort__1__SHIFT 1u
#define LCD_LCDPort__2__DR CYREG_GPIO_PRT0_DR
#define LCD_LCDPort__2__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define LCD_LCDPort__2__DR_INV CYREG_GPIO_PRT0_DR_INV
#define LCD_LCDPort__2__DR_SET CYREG_GPIO_PRT0_DR_SET
#define LCD_LCDPort__2__HSIOM CYREG_HSIOM_PORT_SEL0
#define LCD_LCDPort__2__HSIOM_MASK 0x00000F00u
#define LCD_LCDPort__2__HSIOM_SHIFT 8u
#define LCD_LCDPort__2__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__2__INTR CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__2__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__2__INTSTAT CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_GPIO_PRT0_PC
#define LCD_LCDPort__2__PC2 CYREG_GPIO_PRT0_PC2
#define LCD_LCDPort__2__PORT 0u
#define LCD_LCDPort__2__PS CYREG_GPIO_PRT0_PS
#define LCD_LCDPort__2__SHIFT 2u
#define LCD_LCDPort__3__DR CYREG_GPIO_PRT0_DR
#define LCD_LCDPort__3__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define LCD_LCDPort__3__DR_INV CYREG_GPIO_PRT0_DR_INV
#define LCD_LCDPort__3__DR_SET CYREG_GPIO_PRT0_DR_SET
#define LCD_LCDPort__3__HSIOM CYREG_HSIOM_PORT_SEL0
#define LCD_LCDPort__3__HSIOM_MASK 0x0000F000u
#define LCD_LCDPort__3__HSIOM_SHIFT 12u
#define LCD_LCDPort__3__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__3__INTR CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__3__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__3__INTSTAT CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_GPIO_PRT0_PC
#define LCD_LCDPort__3__PC2 CYREG_GPIO_PRT0_PC2
#define LCD_LCDPort__3__PORT 0u
#define LCD_LCDPort__3__PS CYREG_GPIO_PRT0_PS
#define LCD_LCDPort__3__SHIFT 3u
#define LCD_LCDPort__4__DR CYREG_GPIO_PRT0_DR
#define LCD_LCDPort__4__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define LCD_LCDPort__4__DR_INV CYREG_GPIO_PRT0_DR_INV
#define LCD_LCDPort__4__DR_SET CYREG_GPIO_PRT0_DR_SET
#define LCD_LCDPort__4__HSIOM CYREG_HSIOM_PORT_SEL0
#define LCD_LCDPort__4__HSIOM_MASK 0x000F0000u
#define LCD_LCDPort__4__HSIOM_SHIFT 16u
#define LCD_LCDPort__4__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__4__INTR CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__4__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__4__INTSTAT CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_GPIO_PRT0_PC
#define LCD_LCDPort__4__PC2 CYREG_GPIO_PRT0_PC2
#define LCD_LCDPort__4__PORT 0u
#define LCD_LCDPort__4__PS CYREG_GPIO_PRT0_PS
#define LCD_LCDPort__4__SHIFT 4u
#define LCD_LCDPort__5__DR CYREG_GPIO_PRT0_DR
#define LCD_LCDPort__5__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define LCD_LCDPort__5__DR_INV CYREG_GPIO_PRT0_DR_INV
#define LCD_LCDPort__5__DR_SET CYREG_GPIO_PRT0_DR_SET
#define LCD_LCDPort__5__HSIOM CYREG_HSIOM_PORT_SEL0
#define LCD_LCDPort__5__HSIOM_MASK 0x00F00000u
#define LCD_LCDPort__5__HSIOM_SHIFT 20u
#define LCD_LCDPort__5__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__5__INTR CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__5__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__5__INTSTAT CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_GPIO_PRT0_PC
#define LCD_LCDPort__5__PC2 CYREG_GPIO_PRT0_PC2
#define LCD_LCDPort__5__PORT 0u
#define LCD_LCDPort__5__PS CYREG_GPIO_PRT0_PS
#define LCD_LCDPort__5__SHIFT 5u
#define LCD_LCDPort__6__DR CYREG_GPIO_PRT0_DR
#define LCD_LCDPort__6__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define LCD_LCDPort__6__DR_INV CYREG_GPIO_PRT0_DR_INV
#define LCD_LCDPort__6__DR_SET CYREG_GPIO_PRT0_DR_SET
#define LCD_LCDPort__6__HSIOM CYREG_HSIOM_PORT_SEL0
#define LCD_LCDPort__6__HSIOM_MASK 0x0F000000u
#define LCD_LCDPort__6__HSIOM_SHIFT 24u
#define LCD_LCDPort__6__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__6__INTR CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__6__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__6__INTSTAT CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_GPIO_PRT0_PC
#define LCD_LCDPort__6__PC2 CYREG_GPIO_PRT0_PC2
#define LCD_LCDPort__6__PORT 0u
#define LCD_LCDPort__6__PS CYREG_GPIO_PRT0_PS
#define LCD_LCDPort__6__SHIFT 6u
#define LCD_LCDPort__DR CYREG_GPIO_PRT0_DR
#define LCD_LCDPort__DR_CLR CYREG_GPIO_PRT0_DR_CLR
#define LCD_LCDPort__DR_INV CYREG_GPIO_PRT0_DR_INV
#define LCD_LCDPort__DR_SET CYREG_GPIO_PRT0_DR_SET
#define LCD_LCDPort__INTCFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__INTR CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__INTR_CFG CYREG_GPIO_PRT0_INTR_CFG
#define LCD_LCDPort__INTSTAT CYREG_GPIO_PRT0_INTR
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PC CYREG_GPIO_PRT0_PC
#define LCD_LCDPort__PC2 CYREG_GPIO_PRT0_PC2
#define LCD_LCDPort__PORT 0u
#define LCD_LCDPort__PS CYREG_GPIO_PRT0_PS
#define LCD_LCDPort__SHIFT 0u

/* SIC_1 */
#define SIC_1__0__DR CYREG_GPIO_PRT2_DR
#define SIC_1__0__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_1__0__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_1__0__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_1__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define SIC_1__0__HSIOM_MASK 0x0000000Fu
#define SIC_1__0__HSIOM_SHIFT 0u
#define SIC_1__0__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_1__0__INTR CYREG_GPIO_PRT2_INTR
#define SIC_1__0__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_1__0__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_1__0__MASK 0x01u
#define SIC_1__0__PC CYREG_GPIO_PRT2_PC
#define SIC_1__0__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_1__0__PORT 2u
#define SIC_1__0__PS CYREG_GPIO_PRT2_PS
#define SIC_1__0__SHIFT 0u
#define SIC_1__DR CYREG_GPIO_PRT2_DR
#define SIC_1__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_1__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_1__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_1__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_1__INTR CYREG_GPIO_PRT2_INTR
#define SIC_1__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_1__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_1__MASK 0x01u
#define SIC_1__PC CYREG_GPIO_PRT2_PC
#define SIC_1__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_1__PORT 2u
#define SIC_1__PS CYREG_GPIO_PRT2_PS
#define SIC_1__SHIFT 0u

/* SIC_2 */
#define SIC_2__0__DR CYREG_GPIO_PRT2_DR
#define SIC_2__0__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_2__0__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_2__0__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_2__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define SIC_2__0__HSIOM_MASK 0x000000F0u
#define SIC_2__0__HSIOM_SHIFT 4u
#define SIC_2__0__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_2__0__INTR CYREG_GPIO_PRT2_INTR
#define SIC_2__0__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_2__0__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_2__0__MASK 0x02u
#define SIC_2__0__PC CYREG_GPIO_PRT2_PC
#define SIC_2__0__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_2__0__PORT 2u
#define SIC_2__0__PS CYREG_GPIO_PRT2_PS
#define SIC_2__0__SHIFT 1u
#define SIC_2__DR CYREG_GPIO_PRT2_DR
#define SIC_2__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_2__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_2__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_2__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_2__INTR CYREG_GPIO_PRT2_INTR
#define SIC_2__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_2__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_2__MASK 0x02u
#define SIC_2__PC CYREG_GPIO_PRT2_PC
#define SIC_2__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_2__PORT 2u
#define SIC_2__PS CYREG_GPIO_PRT2_PS
#define SIC_2__SHIFT 1u

/* SIC_3 */
#define SIC_3__0__DR CYREG_GPIO_PRT2_DR
#define SIC_3__0__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_3__0__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_3__0__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_3__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define SIC_3__0__HSIOM_MASK 0x00000F00u
#define SIC_3__0__HSIOM_SHIFT 8u
#define SIC_3__0__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_3__0__INTR CYREG_GPIO_PRT2_INTR
#define SIC_3__0__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_3__0__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_3__0__MASK 0x04u
#define SIC_3__0__PC CYREG_GPIO_PRT2_PC
#define SIC_3__0__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_3__0__PORT 2u
#define SIC_3__0__PS CYREG_GPIO_PRT2_PS
#define SIC_3__0__SHIFT 2u
#define SIC_3__DR CYREG_GPIO_PRT2_DR
#define SIC_3__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_3__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_3__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_3__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_3__INTR CYREG_GPIO_PRT2_INTR
#define SIC_3__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_3__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_3__MASK 0x04u
#define SIC_3__PC CYREG_GPIO_PRT2_PC
#define SIC_3__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_3__PORT 2u
#define SIC_3__PS CYREG_GPIO_PRT2_PS
#define SIC_3__SHIFT 2u

/* SIC_4 */
#define SIC_4__0__DR CYREG_GPIO_PRT2_DR
#define SIC_4__0__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_4__0__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_4__0__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_4__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define SIC_4__0__HSIOM_MASK 0x0000F000u
#define SIC_4__0__HSIOM_SHIFT 12u
#define SIC_4__0__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_4__0__INTR CYREG_GPIO_PRT2_INTR
#define SIC_4__0__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_4__0__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_4__0__MASK 0x08u
#define SIC_4__0__PC CYREG_GPIO_PRT2_PC
#define SIC_4__0__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_4__0__PORT 2u
#define SIC_4__0__PS CYREG_GPIO_PRT2_PS
#define SIC_4__0__SHIFT 3u
#define SIC_4__DR CYREG_GPIO_PRT2_DR
#define SIC_4__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_4__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_4__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_4__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_4__INTR CYREG_GPIO_PRT2_INTR
#define SIC_4__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_4__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_4__MASK 0x08u
#define SIC_4__PC CYREG_GPIO_PRT2_PC
#define SIC_4__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_4__PORT 2u
#define SIC_4__PS CYREG_GPIO_PRT2_PS
#define SIC_4__SHIFT 3u

/* SIC_5 */
#define SIC_5__0__DR CYREG_GPIO_PRT2_DR
#define SIC_5__0__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_5__0__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_5__0__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_5__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define SIC_5__0__HSIOM_MASK 0x000F0000u
#define SIC_5__0__HSIOM_SHIFT 16u
#define SIC_5__0__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_5__0__INTR CYREG_GPIO_PRT2_INTR
#define SIC_5__0__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_5__0__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_5__0__MASK 0x10u
#define SIC_5__0__PC CYREG_GPIO_PRT2_PC
#define SIC_5__0__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_5__0__PORT 2u
#define SIC_5__0__PS CYREG_GPIO_PRT2_PS
#define SIC_5__0__SHIFT 4u
#define SIC_5__DR CYREG_GPIO_PRT2_DR
#define SIC_5__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_5__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_5__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_5__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_5__INTR CYREG_GPIO_PRT2_INTR
#define SIC_5__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_5__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_5__MASK 0x10u
#define SIC_5__PC CYREG_GPIO_PRT2_PC
#define SIC_5__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_5__PORT 2u
#define SIC_5__PS CYREG_GPIO_PRT2_PS
#define SIC_5__SHIFT 4u

/* SIC_6 */
#define SIC_6__0__DR CYREG_GPIO_PRT2_DR
#define SIC_6__0__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_6__0__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_6__0__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_6__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define SIC_6__0__HSIOM_MASK 0x00F00000u
#define SIC_6__0__HSIOM_SHIFT 20u
#define SIC_6__0__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_6__0__INTR CYREG_GPIO_PRT2_INTR
#define SIC_6__0__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_6__0__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_6__0__MASK 0x20u
#define SIC_6__0__PC CYREG_GPIO_PRT2_PC
#define SIC_6__0__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_6__0__PORT 2u
#define SIC_6__0__PS CYREG_GPIO_PRT2_PS
#define SIC_6__0__SHIFT 5u
#define SIC_6__DR CYREG_GPIO_PRT2_DR
#define SIC_6__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_6__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_6__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_6__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_6__INTR CYREG_GPIO_PRT2_INTR
#define SIC_6__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_6__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_6__MASK 0x20u
#define SIC_6__PC CYREG_GPIO_PRT2_PC
#define SIC_6__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_6__PORT 2u
#define SIC_6__PS CYREG_GPIO_PRT2_PS
#define SIC_6__SHIFT 5u

/* SIC_7 */
#define SIC_7__0__DR CYREG_GPIO_PRT2_DR
#define SIC_7__0__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_7__0__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_7__0__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_7__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define SIC_7__0__HSIOM_MASK 0x0F000000u
#define SIC_7__0__HSIOM_SHIFT 24u
#define SIC_7__0__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_7__0__INTR CYREG_GPIO_PRT2_INTR
#define SIC_7__0__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_7__0__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_7__0__MASK 0x40u
#define SIC_7__0__PC CYREG_GPIO_PRT2_PC
#define SIC_7__0__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_7__0__PORT 2u
#define SIC_7__0__PS CYREG_GPIO_PRT2_PS
#define SIC_7__0__SHIFT 6u
#define SIC_7__DR CYREG_GPIO_PRT2_DR
#define SIC_7__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_7__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_7__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_7__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_7__INTR CYREG_GPIO_PRT2_INTR
#define SIC_7__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_7__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_7__MASK 0x40u
#define SIC_7__PC CYREG_GPIO_PRT2_PC
#define SIC_7__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_7__PORT 2u
#define SIC_7__PS CYREG_GPIO_PRT2_PS
#define SIC_7__SHIFT 6u

/* SIC_8 */
#define SIC_8__0__DR CYREG_GPIO_PRT2_DR
#define SIC_8__0__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_8__0__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_8__0__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_8__0__HSIOM CYREG_HSIOM_PORT_SEL2
#define SIC_8__0__HSIOM_MASK 0xF0000000u
#define SIC_8__0__HSIOM_SHIFT 28u
#define SIC_8__0__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_8__0__INTR CYREG_GPIO_PRT2_INTR
#define SIC_8__0__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_8__0__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_8__0__MASK 0x80u
#define SIC_8__0__PC CYREG_GPIO_PRT2_PC
#define SIC_8__0__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_8__0__PORT 2u
#define SIC_8__0__PS CYREG_GPIO_PRT2_PS
#define SIC_8__0__SHIFT 7u
#define SIC_8__DR CYREG_GPIO_PRT2_DR
#define SIC_8__DR_CLR CYREG_GPIO_PRT2_DR_CLR
#define SIC_8__DR_INV CYREG_GPIO_PRT2_DR_INV
#define SIC_8__DR_SET CYREG_GPIO_PRT2_DR_SET
#define SIC_8__INTCFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_8__INTR CYREG_GPIO_PRT2_INTR
#define SIC_8__INTR_CFG CYREG_GPIO_PRT2_INTR_CFG
#define SIC_8__INTSTAT CYREG_GPIO_PRT2_INTR
#define SIC_8__MASK 0x80u
#define SIC_8__PC CYREG_GPIO_PRT2_PC
#define SIC_8__PC2 CYREG_GPIO_PRT2_PC2
#define SIC_8__PORT 2u
#define SIC_8__PS CYREG_GPIO_PRT2_PS
#define SIC_8__SHIFT 7u

/* SOL_1 */
#define SOL_1__0__DR CYREG_GPIO_PRT1_DR
#define SOL_1__0__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_1__0__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_1__0__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_1__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define SOL_1__0__HSIOM_MASK 0xF0000000u
#define SOL_1__0__HSIOM_SHIFT 28u
#define SOL_1__0__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_1__0__INTR CYREG_GPIO_PRT1_INTR
#define SOL_1__0__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_1__0__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_1__0__MASK 0x80u
#define SOL_1__0__PC CYREG_GPIO_PRT1_PC
#define SOL_1__0__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_1__0__PORT 1u
#define SOL_1__0__PS CYREG_GPIO_PRT1_PS
#define SOL_1__0__SHIFT 7u
#define SOL_1__DR CYREG_GPIO_PRT1_DR
#define SOL_1__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_1__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_1__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_1__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_1__INTR CYREG_GPIO_PRT1_INTR
#define SOL_1__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_1__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_1__MASK 0x80u
#define SOL_1__PC CYREG_GPIO_PRT1_PC
#define SOL_1__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_1__PORT 1u
#define SOL_1__PS CYREG_GPIO_PRT1_PS
#define SOL_1__SHIFT 7u

/* SOL_2 */
#define SOL_2__0__DR CYREG_GPIO_PRT1_DR
#define SOL_2__0__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_2__0__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_2__0__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_2__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define SOL_2__0__HSIOM_MASK 0x0F000000u
#define SOL_2__0__HSIOM_SHIFT 24u
#define SOL_2__0__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_2__0__INTR CYREG_GPIO_PRT1_INTR
#define SOL_2__0__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_2__0__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_2__0__MASK 0x40u
#define SOL_2__0__PC CYREG_GPIO_PRT1_PC
#define SOL_2__0__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_2__0__PORT 1u
#define SOL_2__0__PS CYREG_GPIO_PRT1_PS
#define SOL_2__0__SHIFT 6u
#define SOL_2__DR CYREG_GPIO_PRT1_DR
#define SOL_2__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_2__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_2__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_2__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_2__INTR CYREG_GPIO_PRT1_INTR
#define SOL_2__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_2__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_2__MASK 0x40u
#define SOL_2__PC CYREG_GPIO_PRT1_PC
#define SOL_2__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_2__PORT 1u
#define SOL_2__PS CYREG_GPIO_PRT1_PS
#define SOL_2__SHIFT 6u

/* SOL_3 */
#define SOL_3__0__DR CYREG_GPIO_PRT1_DR
#define SOL_3__0__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_3__0__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_3__0__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_3__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define SOL_3__0__HSIOM_MASK 0x00F00000u
#define SOL_3__0__HSIOM_SHIFT 20u
#define SOL_3__0__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_3__0__INTR CYREG_GPIO_PRT1_INTR
#define SOL_3__0__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_3__0__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_3__0__MASK 0x20u
#define SOL_3__0__PC CYREG_GPIO_PRT1_PC
#define SOL_3__0__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_3__0__PORT 1u
#define SOL_3__0__PS CYREG_GPIO_PRT1_PS
#define SOL_3__0__SHIFT 5u
#define SOL_3__DR CYREG_GPIO_PRT1_DR
#define SOL_3__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_3__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_3__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_3__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_3__INTR CYREG_GPIO_PRT1_INTR
#define SOL_3__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_3__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_3__MASK 0x20u
#define SOL_3__PC CYREG_GPIO_PRT1_PC
#define SOL_3__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_3__PORT 1u
#define SOL_3__PS CYREG_GPIO_PRT1_PS
#define SOL_3__SHIFT 5u

/* SOL_4 */
#define SOL_4__0__DR CYREG_GPIO_PRT1_DR
#define SOL_4__0__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_4__0__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_4__0__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_4__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define SOL_4__0__HSIOM_MASK 0x000F0000u
#define SOL_4__0__HSIOM_SHIFT 16u
#define SOL_4__0__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_4__0__INTR CYREG_GPIO_PRT1_INTR
#define SOL_4__0__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_4__0__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_4__0__MASK 0x10u
#define SOL_4__0__PC CYREG_GPIO_PRT1_PC
#define SOL_4__0__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_4__0__PORT 1u
#define SOL_4__0__PS CYREG_GPIO_PRT1_PS
#define SOL_4__0__SHIFT 4u
#define SOL_4__DR CYREG_GPIO_PRT1_DR
#define SOL_4__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_4__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_4__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_4__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_4__INTR CYREG_GPIO_PRT1_INTR
#define SOL_4__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_4__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_4__MASK 0x10u
#define SOL_4__PC CYREG_GPIO_PRT1_PC
#define SOL_4__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_4__PORT 1u
#define SOL_4__PS CYREG_GPIO_PRT1_PS
#define SOL_4__SHIFT 4u

/* SOL_5 */
#define SOL_5__0__DR CYREG_GPIO_PRT1_DR
#define SOL_5__0__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_5__0__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_5__0__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_5__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define SOL_5__0__HSIOM_MASK 0x0000F000u
#define SOL_5__0__HSIOM_SHIFT 12u
#define SOL_5__0__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_5__0__INTR CYREG_GPIO_PRT1_INTR
#define SOL_5__0__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_5__0__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_5__0__MASK 0x08u
#define SOL_5__0__PC CYREG_GPIO_PRT1_PC
#define SOL_5__0__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_5__0__PORT 1u
#define SOL_5__0__PS CYREG_GPIO_PRT1_PS
#define SOL_5__0__SHIFT 3u
#define SOL_5__DR CYREG_GPIO_PRT1_DR
#define SOL_5__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_5__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_5__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_5__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_5__INTR CYREG_GPIO_PRT1_INTR
#define SOL_5__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_5__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_5__MASK 0x08u
#define SOL_5__PC CYREG_GPIO_PRT1_PC
#define SOL_5__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_5__PORT 1u
#define SOL_5__PS CYREG_GPIO_PRT1_PS
#define SOL_5__SHIFT 3u

/* SOL_6 */
#define SOL_6__0__DR CYREG_GPIO_PRT1_DR
#define SOL_6__0__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_6__0__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_6__0__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_6__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define SOL_6__0__HSIOM_MASK 0x00000F00u
#define SOL_6__0__HSIOM_SHIFT 8u
#define SOL_6__0__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_6__0__INTR CYREG_GPIO_PRT1_INTR
#define SOL_6__0__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_6__0__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_6__0__MASK 0x04u
#define SOL_6__0__PC CYREG_GPIO_PRT1_PC
#define SOL_6__0__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_6__0__PORT 1u
#define SOL_6__0__PS CYREG_GPIO_PRT1_PS
#define SOL_6__0__SHIFT 2u
#define SOL_6__DR CYREG_GPIO_PRT1_DR
#define SOL_6__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_6__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_6__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_6__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_6__INTR CYREG_GPIO_PRT1_INTR
#define SOL_6__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_6__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_6__MASK 0x04u
#define SOL_6__PC CYREG_GPIO_PRT1_PC
#define SOL_6__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_6__PORT 1u
#define SOL_6__PS CYREG_GPIO_PRT1_PS
#define SOL_6__SHIFT 2u

/* SOL_7 */
#define SOL_7__0__DR CYREG_GPIO_PRT1_DR
#define SOL_7__0__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_7__0__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_7__0__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_7__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define SOL_7__0__HSIOM_MASK 0x000000F0u
#define SOL_7__0__HSIOM_SHIFT 4u
#define SOL_7__0__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_7__0__INTR CYREG_GPIO_PRT1_INTR
#define SOL_7__0__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_7__0__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_7__0__MASK 0x02u
#define SOL_7__0__PC CYREG_GPIO_PRT1_PC
#define SOL_7__0__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_7__0__PORT 1u
#define SOL_7__0__PS CYREG_GPIO_PRT1_PS
#define SOL_7__0__SHIFT 1u
#define SOL_7__DR CYREG_GPIO_PRT1_DR
#define SOL_7__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_7__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_7__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_7__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_7__INTR CYREG_GPIO_PRT1_INTR
#define SOL_7__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_7__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_7__MASK 0x02u
#define SOL_7__PC CYREG_GPIO_PRT1_PC
#define SOL_7__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_7__PORT 1u
#define SOL_7__PS CYREG_GPIO_PRT1_PS
#define SOL_7__SHIFT 1u

/* SOL_8 */
#define SOL_8__0__DR CYREG_GPIO_PRT1_DR
#define SOL_8__0__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_8__0__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_8__0__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_8__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define SOL_8__0__HSIOM_MASK 0x0000000Fu
#define SOL_8__0__HSIOM_SHIFT 0u
#define SOL_8__0__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_8__0__INTR CYREG_GPIO_PRT1_INTR
#define SOL_8__0__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_8__0__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_8__0__MASK 0x01u
#define SOL_8__0__PC CYREG_GPIO_PRT1_PC
#define SOL_8__0__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_8__0__PORT 1u
#define SOL_8__0__PS CYREG_GPIO_PRT1_PS
#define SOL_8__0__SHIFT 0u
#define SOL_8__DR CYREG_GPIO_PRT1_DR
#define SOL_8__DR_CLR CYREG_GPIO_PRT1_DR_CLR
#define SOL_8__DR_INV CYREG_GPIO_PRT1_DR_INV
#define SOL_8__DR_SET CYREG_GPIO_PRT1_DR_SET
#define SOL_8__INTCFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_8__INTR CYREG_GPIO_PRT1_INTR
#define SOL_8__INTR_CFG CYREG_GPIO_PRT1_INTR_CFG
#define SOL_8__INTSTAT CYREG_GPIO_PRT1_INTR
#define SOL_8__MASK 0x01u
#define SOL_8__PC CYREG_GPIO_PRT1_PC
#define SOL_8__PC2 CYREG_GPIO_PRT1_PC2
#define SOL_8__PORT 1u
#define SOL_8__PS CYREG_GPIO_PRT1_PS
#define SOL_8__SHIFT 0u

/* Router */
#define Router__0__DR CYREG_GPIO_PRT4_DR
#define Router__0__DR_CLR CYREG_GPIO_PRT4_DR_CLR
#define Router__0__DR_INV CYREG_GPIO_PRT4_DR_INV
#define Router__0__DR_SET CYREG_GPIO_PRT4_DR_SET
#define Router__0__HSIOM CYREG_HSIOM_PORT_SEL4
#define Router__0__HSIOM_MASK 0x00000F00u
#define Router__0__HSIOM_SHIFT 8u
#define Router__0__INTCFG CYREG_GPIO_PRT4_INTR_CFG
#define Router__0__INTR CYREG_GPIO_PRT4_INTR
#define Router__0__INTR_CFG CYREG_GPIO_PRT4_INTR_CFG
#define Router__0__INTSTAT CYREG_GPIO_PRT4_INTR
#define Router__0__MASK 0x04u
#define Router__0__PC CYREG_GPIO_PRT4_PC
#define Router__0__PC2 CYREG_GPIO_PRT4_PC2
#define Router__0__PORT 4u
#define Router__0__PS CYREG_GPIO_PRT4_PS
#define Router__0__SHIFT 2u
#define Router__DR CYREG_GPIO_PRT4_DR
#define Router__DR_CLR CYREG_GPIO_PRT4_DR_CLR
#define Router__DR_INV CYREG_GPIO_PRT4_DR_INV
#define Router__DR_SET CYREG_GPIO_PRT4_DR_SET
#define Router__INTCFG CYREG_GPIO_PRT4_INTR_CFG
#define Router__INTR CYREG_GPIO_PRT4_INTR
#define Router__INTR_CFG CYREG_GPIO_PRT4_INTR_CFG
#define Router__INTSTAT CYREG_GPIO_PRT4_INTR
#define Router__MASK 0x04u
#define Router__PC CYREG_GPIO_PRT4_PC
#define Router__PC2 CYREG_GPIO_PRT4_PC2
#define Router__PORT 4u
#define Router__PS CYREG_GPIO_PRT4_PS
#define Router__SHIFT 2u

/* Status */
#define Status__0__DR CYREG_GPIO_PRT3_DR
#define Status__0__DR_CLR CYREG_GPIO_PRT3_DR_CLR
#define Status__0__DR_INV CYREG_GPIO_PRT3_DR_INV
#define Status__0__DR_SET CYREG_GPIO_PRT3_DR_SET
#define Status__0__HSIOM CYREG_HSIOM_PORT_SEL3
#define Status__0__HSIOM_MASK 0x000F0000u
#define Status__0__HSIOM_SHIFT 16u
#define Status__0__INTCFG CYREG_GPIO_PRT3_INTR_CFG
#define Status__0__INTR CYREG_GPIO_PRT3_INTR
#define Status__0__INTR_CFG CYREG_GPIO_PRT3_INTR_CFG
#define Status__0__INTSTAT CYREG_GPIO_PRT3_INTR
#define Status__0__MASK 0x10u
#define Status__0__PC CYREG_GPIO_PRT3_PC
#define Status__0__PC2 CYREG_GPIO_PRT3_PC2
#define Status__0__PORT 3u
#define Status__0__PS CYREG_GPIO_PRT3_PS
#define Status__0__SHIFT 4u
#define Status__DR CYREG_GPIO_PRT3_DR
#define Status__DR_CLR CYREG_GPIO_PRT3_DR_CLR
#define Status__DR_INV CYREG_GPIO_PRT3_DR_INV
#define Status__DR_SET CYREG_GPIO_PRT3_DR_SET
#define Status__INTCFG CYREG_GPIO_PRT3_INTR_CFG
#define Status__INTR CYREG_GPIO_PRT3_INTR
#define Status__INTR_CFG CYREG_GPIO_PRT3_INTR_CFG
#define Status__INTSTAT CYREG_GPIO_PRT3_INTR
#define Status__MASK 0x10u
#define Status__PC CYREG_GPIO_PRT3_PC
#define Status__PC2 CYREG_GPIO_PRT3_PC2
#define Status__PORT 3u
#define Status__PS CYREG_GPIO_PRT3_PS
#define Status__SHIFT 4u

/* HW_Select1 */
#define HW_Select1__0__DR CYREG_GPIO_PRT3_DR
#define HW_Select1__0__DR_CLR CYREG_GPIO_PRT3_DR_CLR
#define HW_Select1__0__DR_INV CYREG_GPIO_PRT3_DR_INV
#define HW_Select1__0__DR_SET CYREG_GPIO_PRT3_DR_SET
#define HW_Select1__0__HSIOM CYREG_HSIOM_PORT_SEL3
#define HW_Select1__0__HSIOM_MASK 0x00F00000u
#define HW_Select1__0__HSIOM_SHIFT 20u
#define HW_Select1__0__INTCFG CYREG_GPIO_PRT3_INTR_CFG
#define HW_Select1__0__INTR CYREG_GPIO_PRT3_INTR
#define HW_Select1__0__INTR_CFG CYREG_GPIO_PRT3_INTR_CFG
#define HW_Select1__0__INTSTAT CYREG_GPIO_PRT3_INTR
#define HW_Select1__0__MASK 0x20u
#define HW_Select1__0__PC CYREG_GPIO_PRT3_PC
#define HW_Select1__0__PC2 CYREG_GPIO_PRT3_PC2
#define HW_Select1__0__PORT 3u
#define HW_Select1__0__PS CYREG_GPIO_PRT3_PS
#define HW_Select1__0__SHIFT 5u
#define HW_Select1__DR CYREG_GPIO_PRT3_DR
#define HW_Select1__DR_CLR CYREG_GPIO_PRT3_DR_CLR
#define HW_Select1__DR_INV CYREG_GPIO_PRT3_DR_INV
#define HW_Select1__DR_SET CYREG_GPIO_PRT3_DR_SET
#define HW_Select1__INTCFG CYREG_GPIO_PRT3_INTR_CFG
#define HW_Select1__INTR CYREG_GPIO_PRT3_INTR
#define HW_Select1__INTR_CFG CYREG_GPIO_PRT3_INTR_CFG
#define HW_Select1__INTSTAT CYREG_GPIO_PRT3_INTR
#define HW_Select1__MASK 0x20u
#define HW_Select1__PC CYREG_GPIO_PRT3_PC
#define HW_Select1__PC2 CYREG_GPIO_PRT3_PC2
#define HW_Select1__PORT 3u
#define HW_Select1__PS CYREG_GPIO_PRT3_PS
#define HW_Select1__SHIFT 5u

/* HW_Select2 */
#define HW_Select2__0__DR CYREG_GPIO_PRT3_DR
#define HW_Select2__0__DR_CLR CYREG_GPIO_PRT3_DR_CLR
#define HW_Select2__0__DR_INV CYREG_GPIO_PRT3_DR_INV
#define HW_Select2__0__DR_SET CYREG_GPIO_PRT3_DR_SET
#define HW_Select2__0__HSIOM CYREG_HSIOM_PORT_SEL3
#define HW_Select2__0__HSIOM_MASK 0x0F000000u
#define HW_Select2__0__HSIOM_SHIFT 24u
#define HW_Select2__0__INTCFG CYREG_GPIO_PRT3_INTR_CFG
#define HW_Select2__0__INTR CYREG_GPIO_PRT3_INTR
#define HW_Select2__0__INTR_CFG CYREG_GPIO_PRT3_INTR_CFG
#define HW_Select2__0__INTSTAT CYREG_GPIO_PRT3_INTR
#define HW_Select2__0__MASK 0x40u
#define HW_Select2__0__PC CYREG_GPIO_PRT3_PC
#define HW_Select2__0__PC2 CYREG_GPIO_PRT3_PC2
#define HW_Select2__0__PORT 3u
#define HW_Select2__0__PS CYREG_GPIO_PRT3_PS
#define HW_Select2__0__SHIFT 6u
#define HW_Select2__DR CYREG_GPIO_PRT3_DR
#define HW_Select2__DR_CLR CYREG_GPIO_PRT3_DR_CLR
#define HW_Select2__DR_INV CYREG_GPIO_PRT3_DR_INV
#define HW_Select2__DR_SET CYREG_GPIO_PRT3_DR_SET
#define HW_Select2__INTCFG CYREG_GPIO_PRT3_INTR_CFG
#define HW_Select2__INTR CYREG_GPIO_PRT3_INTR
#define HW_Select2__INTR_CFG CYREG_GPIO_PRT3_INTR_CFG
#define HW_Select2__INTSTAT CYREG_GPIO_PRT3_INTR
#define HW_Select2__MASK 0x40u
#define HW_Select2__PC CYREG_GPIO_PRT3_PC
#define HW_Select2__PC2 CYREG_GPIO_PRT3_PC2
#define HW_Select2__PORT 3u
#define HW_Select2__PS CYREG_GPIO_PRT3_PS
#define HW_Select2__SHIFT 6u

/* Miscellaneous */
#define CY_PROJECT_NAME "Smart_Box_Testing"
#define CY_VERSION "PSoC Creator  4.4"
#define CYDEV_BANDGAP_VOLTAGE 1.200
#define CYDEV_BCLK__HFCLK__HZ 24000000U
#define CYDEV_BCLK__HFCLK__KHZ 24000U
#define CYDEV_BCLK__HFCLK__MHZ 24U
#define CYDEV_BCLK__SYSCLK__HZ 24000000U
#define CYDEV_BCLK__SYSCLK__KHZ 24000U
#define CYDEV_BCLK__SYSCLK__MHZ 24U
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PSOC4A 26u
#define CYDEV_CHIP_DIE_PSOC5LP 2u
#define CYDEV_CHIP_DIE_PSOC5TM 3u
#define CYDEV_CHIP_DIE_TMA4 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_FM0P 5u
#define CYDEV_CHIP_FAMILY_FM3 6u
#define CYDEV_CHIP_FAMILY_FM4 7u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_PSOC6 4u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC4
#define CYDEV_CHIP_JTAG_ID 0x251811B5u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 26u
#define CYDEV_CHIP_MEMBER_4AA 25u
#define CYDEV_CHIP_MEMBER_4AB 30u
#define CYDEV_CHIP_MEMBER_4AC 14u
#define CYDEV_CHIP_MEMBER_4AD 15u
#define CYDEV_CHIP_MEMBER_4AE 16u
#define CYDEV_CHIP_MEMBER_4D 20u
#define CYDEV_CHIP_MEMBER_4E 6u
#define CYDEV_CHIP_MEMBER_4F 27u
#define CYDEV_CHIP_MEMBER_4G 4u
#define CYDEV_CHIP_MEMBER_4H 24u
#define CYDEV_CHIP_MEMBER_4I 32u
#define CYDEV_CHIP_MEMBER_4J 21u
#define CYDEV_CHIP_MEMBER_4K 22u
#define CYDEV_CHIP_MEMBER_4L 31u
#define CYDEV_CHIP_MEMBER_4M 29u
#define CYDEV_CHIP_MEMBER_4N 11u
#define CYDEV_CHIP_MEMBER_4O 8u
#define CYDEV_CHIP_MEMBER_4P 28u
#define CYDEV_CHIP_MEMBER_4Q 17u
#define CYDEV_CHIP_MEMBER_4R 9u
#define CYDEV_CHIP_MEMBER_4S 12u
#define CYDEV_CHIP_MEMBER_4T 10u
#define CYDEV_CHIP_MEMBER_4U 5u
#define CYDEV_CHIP_MEMBER_4V 23u
#define CYDEV_CHIP_MEMBER_4W 13u
#define CYDEV_CHIP_MEMBER_4X 7u
#define CYDEV_CHIP_MEMBER_4Y 18u
#define CYDEV_CHIP_MEMBER_4Z 19u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_5B 2u
#define CYDEV_CHIP_MEMBER_6A 33u
#define CYDEV_CHIP_MEMBER_FM3 37u
#define CYDEV_CHIP_MEMBER_FM4 38u
#define CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1 34u
#define CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2 35u
#define CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3 36u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_4V
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REV_PSOC5TM_ES0 0u
#define CYDEV_CHIP_REV_PSOC5TM_ES1 1u
#define CYDEV_CHIP_REV_PSOC5TM_PRODUCTION 1u
#define CYDEV_CHIP_REV_TMA4_ES 17u
#define CYDEV_CHIP_REV_TMA4_ES2 33u
#define CYDEV_CHIP_REV_TMA4_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4AA_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4AB_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4AC_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4AD_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4AE_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_CCG2_NO_USBPD 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4H_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4I_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4J_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4K_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4N_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4O_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4P_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4Q_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4R_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4S_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4T_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4U_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4V_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4W_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4X_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4Y_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4Z_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_6A_ES 17u
#define CYDEV_CHIP_REVISION_6A_NO_UDB 33u
#define CYDEV_CHIP_REVISION_6A_PRODUCTION 33u
#define CYDEV_CHIP_REVISION_FM3_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_FM4_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_4V_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_READ_ACCELERATOR 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_Disallowed
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_PROTECT_KILL 4
#define CYDEV_DEBUG_PROTECT_OPEN 1
#define CYDEV_DEBUG_PROTECT CYDEV_DEBUG_PROTECT_OPEN
#define CYDEV_DEBUG_PROTECT_PROTECTED 2
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DFT_SELECT_CLK0 8u
#define CYDEV_DFT_SELECT_CLK1 9u
#define CYDEV_DMA_CHANNELS_AVAILABLE 8
#define CYDEV_HEAP_SIZE 0x80
#define CYDEV_IMO_TRIMMED_BY_USB 0u
#define CYDEV_IMO_TRIMMED_BY_WCO 0u
#define CYDEV_INTR_NUMBER_DMA 14u
#define CYDEV_IS_EXPORTING_CODE 0
#define CYDEV_IS_IMPORTING_CODE 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_STACK_SIZE 0x0800
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 1
#define CYDEV_VDDA 3.3
#define CYDEV_VDDA_MV 3300
#define CYDEV_VDDD 3.3
#define CYDEV_VDDD_MV 3300
#define CYDEV_WDT_GENERATE_ISR 1u
#define CYIPBLOCK_m0s8cpussv3_VERSION 1
#define CYIPBLOCK_m0s8crypto_VERSION 2
#define CYIPBLOCK_m0s8csdv2_VERSION 2
#define CYIPBLOCK_m0s8exco_VERSION 1
#define CYIPBLOCK_m0s8ioss_VERSION 1
#define CYIPBLOCK_m0s8lcd_VERSION 2
#define CYIPBLOCK_m0s8lpcomp_VERSION 2
#define CYIPBLOCK_m0s8pass4a_VERSION 1
#define CYIPBLOCK_m0s8peri_VERSION 1
#define CYIPBLOCK_m0s8scb_VERSION 2
#define CYIPBLOCK_m0s8tcpwm_VERSION 2
#define CYIPBLOCK_m0s8wco_VERSION 1
#define CYIPBLOCK_s8srsslt_VERSION 1
#define DMA_CHANNELS_USED__MASK 0u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
